#
# spec file for package xpuzzles (Version 5.0.1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  mmbase mmcore mmslib xpm

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         xpuzzles
Release:      12
Copyright:    1994 David Albert Bagley
Group: 
Provides:     xcubes41 xhexa42 xmball11 xmlink11 xoct41 xpuzzles xpyramix xrubik47 xskewb44 xtria41 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      5.0.1
Summary:      Some game of skill under X11
Source: xpuzzles-5.0.1.tar.gz
Patch: xpuzzles-5.0.1.dif
%description
Some game of skill under X11
Group:

Authors:
--------
    David Albert Bagley <bagleyd@bigfoot.com>

%prep
%setup
%patch
%build
make -f xpuzzles.Makefile xmkmf
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking dynamic
make -f xpuzzles.Makefile all
for PUZZLE in xcubes xdino xhexagons xmball xmlink xoct xpyraminx xrubik xskewb xtriangles ; do mv $PUZZLE/$PUZZLE $PUZZLE.SuSE-dynamic ; done
test -x /usr/sbin/switch_motif_linking && \
  /usr/sbin/switch_motif_linking static
make -f xpuzzles.Makefile all
%install
make -f xpuzzles.Makefile install
make -f xpuzzles.Makefile install.man
for PUZZLE in xcubes xdino xhexagons xmball xmlink xoct xpyraminx xrubik xskewb xtriangles ; do \
mv /usr/X11R6/bin/$PUZZLE /usr/X11R6/bin/$PUZZLE.SuSE-static ; \
install -s $PUZZLE.SuSE-dynamic /usr/X11R6/bin ; \
ln -sf $PUZZLE.SuSE-static /usr/X11R6/bin/$PUZZLE ; \
done 
Check
%files
%docdir /usr/X11R6/man
/usr/X11R6/bin/xcubes
/usr/X11R6/bin/xdino
/usr/X11R6/bin/xhexagons
/usr/X11R6/bin/xmball
/usr/X11R6/bin/xmlink
/usr/X11R6/bin/xoct
/usr/X11R6/bin/xpyraminx
/usr/X11R6/bin/xrubik
/usr/X11R6/bin/xskewb
/usr/X11R6/bin/xtriangles
/usr/X11R6/bin/xcubes.SuSE-static
/usr/X11R6/bin/xdino.SuSE-static
/usr/X11R6/bin/xhexagons.SuSE-static
/usr/X11R6/bin/xmball.SuSE-static
/usr/X11R6/bin/xmlink.SuSE-static
/usr/X11R6/bin/xoct.SuSE-static
/usr/X11R6/bin/xpyraminx.SuSE-static
/usr/X11R6/bin/xrubik.SuSE-static
/usr/X11R6/bin/xskewb.SuSE-static
/usr/X11R6/bin/xtriangles.SuSE-static
/usr/X11R6/bin/xcubes.SuSE-dynamic
/usr/X11R6/bin/xdino.SuSE-dynamic
/usr/X11R6/bin/xhexagons.SuSE-dynamic
/usr/X11R6/bin/xmball.SuSE-dynamic
/usr/X11R6/bin/xmlink.SuSE-dynamic
/usr/X11R6/bin/xoct.SuSE-dynamic
/usr/X11R6/bin/xpyraminx.SuSE-dynamic
/usr/X11R6/bin/xrubik.SuSE-dynamic
/usr/X11R6/bin/xskewb.SuSE-dynamic
/usr/X11R6/bin/xtriangles.SuSE-dynamic
%doc /usr/X11R6/man/man1/xcubes.1x.gz
%doc /usr/X11R6/man/man1/xdino.1x.gz
%doc /usr/X11R6/man/man1/xhexagons.1x.gz
%doc /usr/X11R6/man/man1/xmball.1x.gz
%doc /usr/X11R6/man/man1/xmlink.1x.gz
%doc /usr/X11R6/man/man1/xoct.1x.gz
%doc /usr/X11R6/man/man1/xpyraminx.1x.gz
%doc /usr/X11R6/man/man1/xrubik.1x.gz
%doc /usr/X11R6/man/man1/xskewb.1x.gz
%doc /usr/X11R6/man/man1/xtriangles.1x.gz

